
CoCoALib - Design #642

Move code in test file into namespace CoCoA

29 Oct 2014 11:47 - John Abbott

Status: Closed Start date: 29 Oct 2014

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Portability Estimated time: 10.00 hours

Target version: CoCoALib-0.99536 June 2015 Spent time: 4.60 hours

Description

For improved portability/robustness, move all code (except main) in test files into namespace CoCoA.

Related issues:

Related to CoCoALib - Bug #631: Ambiguous: rank for matrix (in ex-matrix1.C) Closed 26 Sep 2014

Related to CoCoALib - Design #619: Modulus (for CRTMill) ambiguous Closed 09 Sep 2014

Related to CoCoALib - Support #694: In test files: when is assert.H needed? Closed 08 May 2015

Related to CoCoALib - Support #739: Move code in examples into namespace CoCoA Closed 25 Jun 2015

History

#1 - 30 Oct 2014 14:22 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 10

20141030 JAA has done test-[A-I]*.C

#2 - 30 Oct 2014 15:48 - John Abbott

- % Done changed from 10 to 20

#3 - 30 Oct 2014 15:50 - John Abbott

I'm wondering whether it may be better/cleaner/clearer to move using std::cerr to inside main.  It's not important...

#4 - 07 May 2015 16:57 - John Abbott

- % Done changed from 20 to 50

JAA has now done test-[J-Q]*.C and test-[a-h]*.C

#5 - 08 May 2015 11:28 - John Abbott

- Status changed from In Progress to Resolved

- Assignee set to John Abbott

- % Done changed from 50 to 80

JAA has finished all test files.  Will check-in, then we can verify on several platforms that all is well.

#6 - 25 Jun 2015 17:15 - John Abbott

- Status changed from Resolved to Closed

- % Done changed from 80 to 100

No problems encountered over the last month -- closing!
